Bug 1032792 - [abrt] vdsm-python-4.12.1-4.fc19: sanlock.py:41:sanlock_check_service:IOError: [Errno 2] No such file or directory: '/var/run/sanlock/sanlock.pid'
[abrt] vdsm-python-4.12.1-4.fc19: sanlock.py:41:sanlock_check_service:IOError...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Federico Simoncelli
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a6bd6b0f2669a69286a6b28c8d9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 15:43 EST by dimapunk80
Modified: 2015-01-11 07:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-11 07:58:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (602 bytes, text/plain)
2013-11-20 15:43 EST, dimapunk80
no flags Details
File: environ (135 bytes, text/plain)
2013-11-20 15:43 EST, dimapunk80
no flags Details

  None (edit)
Description dimapunk80 2013-11-20 15:43:31 EST
Version-Release number of selected component:
vdsm-python-4.12.1-4.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/vdsm-tool sanlock-check-service
executable:     /usr/bin/vdsm-tool
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
sanlock.py:41:sanlock_check_service:IOError: [Errno 2] No such file or directory: '/var/run/sanlock/sanlock.pid'

Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 143, in <module>
    sys.exit(main())
  File "/usr/bin/vdsm-tool", line 140, in main
    return tool_command[cmd]["command"](*args[1:])
  File "/usr/lib64/python2.7/site-packages/vdsm/tool/sanlock.py", line 41, in sanlock_check_service
    sanlock_pid = open(SANLOCK_PID, "r").readline().strip()
IOError: [Errno 2] No such file or directory: '/var/run/sanlock/sanlock.pid'

Local variables in innermost frame:
args: ()
Comment 1 dimapunk80 2013-11-20 15:43:42 EST
Created attachment 826847 [details]
File: backtrace
Comment 2 dimapunk80 2013-11-20 15:43:47 EST
Created attachment 826848 [details]
File: environ
Comment 3 Federico Simoncelli 2014-03-25 05:44:02 EDT
Yaniv you did some work on this recently. Is this fixed already?
Comment 4 Yaniv Bronhaim 2014-03-26 05:00:34 EDT
yes, since 4.13.x if sanlock is not running this function will report True and print to stdout that sanlock is down. i would close it on CURRENTRELEASE unless you want to fix it on 4.12.x
Comment 5 Fedora End Of Life 2015-01-09 15:39:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Allon Mureinik 2015-01-11 07:58:37 EST
(In reply to Yaniv Bronhaim from comment #4)
> yes, since 4.13.x if sanlock is not running this function will report True
> and print to stdout that sanlock is down. i would close it on CURRENTRELEASE
> unless you want to fix it on 4.12.x

Closing as CURRENTRELEASE, based on this comment.

Note You need to log in before you can comment on or make changes to this bug.